Package Details: lib32-llvm-git 9.0.0_r316806.f40c18b628f-2

Git Clone URL: https://aur.archlinux.org/lib32-llvm-git.git (read-only)
Package Base: lib32-llvm-git
Description: Collection of modular and reusable compiler and toolchain technologies (32-bit, git)
Upstream URL: https://llvm.org/
Keywords: clang git llvm
Licenses: custom:University of Illinois/NCSA Open Source License
Conflicts: lib32-clang, lib32-clang-svn, lib32-llvm, lib32-llvm-svn
Provides: lib32-clang=9.0.0_r316806.f40c18b628f-2, lib32-clang-git, lib32-clang-svn, lib32-llvm=9.0.0_r316806.f40c18b628f-2, lib32-llvm-svn
Submitter: yurikoles
Maintainer: Lone_Wolf
Last Packager: Lone_Wolf
Votes: 10
Popularity: 0.004944
First Submitted: 2019-01-11 15:50
Last Updated: 2019-05-18 12:55

Required by (16)

Sources (1)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

Lone_Wolf commented on 2019-05-17 09:49

Varris, the provides line in package_lib32-llvm-git() does indeed look wrong.

it should probably contain lib32-llvm and lib32-clang instead of llvm / clang .

I'll look at it this weekend.

varris commented on 2019-05-16 12:21

Hello, Due to provides=(llvm=$pkgver-$pkgrel...

pacman expects me to uninstall llvm-git before installing lib32-llvm-git. I think it should be lib32-llvm=$pkgver-$pkgrel

Lone_Wolf commented on 2019-05-02 13:22

correct, this package is currently broken. Working on this.

Haxk20 commented on 2019-05-02 09:13

lib32-mesa-git fails to build with this. It cannot find llvm-config.

llvm-config found: NO need '>= 7.0.0' Dependency LLVM found: NO (tried config-tool)

meson.build:1223:2: ERROR: Dependency "llvm" not found, tried config-tool

yurikoles commented on 2019-01-11 16:06

PRs are welcome: https://github.com/yurikoles-aur/lib32-llvm-git

Doesn't build currently as well as llvm-git, llvm-svn, lib32-llvm-svn.

kerberizer commented on 2017-07-24 17:20

@fightcookie Noted, thanks!

fightcookie commented on 2017-07-24 17:15

Please change all the llvm.org url and source links to TLS encrypted https. Thanks! :)

kerberizer commented on 2016-11-10 13:15

[IMPORTANT] Mesa again builds correctly with the latest {,lib32-}llvm-svn, so it's safe to update your LLVM packages.

DON'T FORGET TO REBUILD MESA!

NB: You might need this tiny patch to mesa-git's PKGBUILD, which I'm sure @Lone_Wolf will apply shortly.

diff --git a/PKGBUILD b/PKGBUILD
index 0a8836e..96d5c8d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -168,7 +168,7 @@ package_mesa-vulkan-radeon-git() {
conflicts=('vulkan-radeon')

install -m755 -d ${pkgdir}/usr/share/vulkan/icd.d
- mv -v ${srcdir}/fakeinstall/usr/share/vulkan/icd.d/radeon_icd.json ${pkgdir}/usr/share/vulkan/icd.d/
+ mv -v ${srcdir}/fakeinstall/usr/share/vulkan/icd.d/radeon_icd.*.json ${pkgdir}/usr/share/vulkan/icd.d/

install -m755 -d ${pkgdir}/usr/lib
mv -v ${srcdir}/fakeinstall/usr/lib/libvulkan_radeon.so ${pkgdir}/usr/lib/

kerberizer commented on 2016-11-07 19:50

[NOTICE] Update for the LLVM r286062 issue with Mesa is now in code review: https://patchwork.freedesktop.org/series/14932/

Edit: Updated the link.

kerberizer commented on 2016-11-07 14:46

[HEADS UP] LLVM r286062 breaks Mesa

If you use llvm-svn with Mesa, particularly for the AMD open source driver, DO NOT upgrade LLVM to version >=r286062. Upgrading will not only break the existing driver, but will also prevent you from building Mesa altogether (in both cases there will be error messages related to missing LLVMAddFunctionAttr).

If you have already upgraded to a version >=r286062, here are some possible solutions:
1. Don't restart X: everything should mostly keep running, since the older shared lib has already been loaded in memory. A fix for Mesa should emerge in the meantime, probably in a day or two at most.
2. Return to an older LLVM version: if you don't regularly clear /var/cache/pacman/pkg, you should be able to find there package versions earlier than r286062.
3. Switch to llvm/mesa from the official repositories. This may be somewhat tricky, depending on what exact packages you had installed. Try replacing as much as possible of the installed llvm-svn/mesa-git packages with their llvm/mesa counterparts. Remove the -svn/-git packages that don't have an equivalent 'provides' in the official repos. Of course, this might break some functionality for you.

I'll also consider keeping older versions of the llvm-svn* packages in the binary repo as a backup.

Ref: https://github.com/llvm-mirror/llvm/commit/4a6fc8bacf11d8066da72cf8481467167877ed16